package com.cultural.heritage.model.dto.advanceOrder;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "预约订单添加请求体", requiredProperties = {"photoProductId", "contactsId",
        "specificDate", "timeSlot", "isIndoors", "isMakeup", "isPhotography", "quantity"})
public class AdvanceOrderAddRequest implements Serializable {


    /**
     * 写真产品id
     */
    @Schema(description = "写真产品id", example = "3")
    private Long photoProductId;


    /**
     * 联系人id
     */
    @Schema(description = "联系人id(id > 0)", example = "3")
    private Long contactsId;


    /**
     * 预约日期id
     */
    @Schema(description = "预约日期id", example = "44")
    private Long bookingDateId;


    /**
     * 预约时间id
     */
    @Schema(description = "预约时间id", example = "33")
    private Long bookingTimeId;


    /**
     * 是否是室内
     */
    @Schema(description = "是否是室内", example = "1")
    private Integer isIndoors;


    /**
     * 是否选择妆发服务
     */
    @Schema(description = "是否选择妆发服务", example = "1")
    private Integer isMakeup;


    /**
     * 是否选择摄影服务
     */
    @Schema(description = "是否选择摄影服务", example = "1")
    private Integer isPhotography;


    /**
     * 购买数量
     */
    @Schema(description = "购买数量", example = "3")
    private Integer quantity;


    @Serial
    private static final long serialVersionUID = 1L;
}
