package com.cultural.heritage.model.dto.bookingDate;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "预约日期更新请求体", requiredProperties = {"id", "specificDate", "isAvailable","type"})
public class BookingDateUpdateRequest implements Serializable {


    /**
     * 预约日期id
     */
    @Schema(description = "预约日期id", example = "1")
    private Long id;


    /**
     * 预约具体日期
     */
    @Schema(description = "预约具体日期", example = "2024-11-18")
    private String specificDate;


    /**
     * 是否可预约
     */
    @Schema(description = "是否可预约", example = "1")
    private Integer isAvailable;


    /**
     * 预约类别
     */
    @Schema(description = "预约类别", example = "整套约拍")
    private String type;


    @Serial
    private static final long serialVersionUID = 1L;
}
