package com.cultural.heritage.model.dto.order;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "订单更新请求体", requiredProperties = {"id", "orderStatus"})
public class OrderUpdateRequest implements Serializable {

    /**
     * 订单id
     */
    @Schema(description = "订单id(id > 0)", example = "40")
    private Long id;


    /**
     * 订单状态
     */
    @Schema(description = "快递单号", example = "2343243482843888")
    private String trackingNumber;



    @Serial
    private static final long serialVersionUID = 1L;
}
