package com.cultural.heritage.model.dto.photoProducts;

import com.cultural.heritage.common.PageRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = true)
@Schema(description = "写真产品查询请求体", requiredProperties = {"current", "pageSize", "sortField"})
public class PhotoProductsQueryRequest extends PageRequest implements Serializable {


    /**
     * 服装id
     */
    @Schema(description = "服装id", example = "2")
    private Long id;



    /**
     * 服装名称
     */
    @Schema(description = "服装名称", example = "彩绣菊花纹刺绣长袍")
    private String name;



    /**
     * 写真类别名称
     */
    @Schema(description = "写真类别名称", example = "3")
    private String categoryName;



    @Serial
    private static final long serialVersionUID = 1L;
}
